
v1.3.4  (June, 2016)

 - Automatic timeline updates will avoid interrupting the user.
 - Different snippet limits for regular and highlighted activities.
 - Snippets set to 'Always' by default.
 - More detailed new post notifications.
 - Clicking "Comment" in posts will show an option to check for comments,
   if the post doesn't have (or show) any comments yet.
 - Filtering (searching) contact lists will show the number of matches.
 - Items in the list of configured filtering rules can be sorted manually,
   via drag-and-drop.
 - Fixed a possible crash when pasting a URL which points to an image.
 - Updated a few links to Pump.io sites.
 - Minor visual fixes and other improvements.



v1.3.3  (March 21, 2016)

 - When trying to follow a contact, the user ID is verified.
 - The image viewer gained basic zoom capabilities.
 - Timelines show thumbnails of embedded images, full size in the viewer.
 - When pasting text in a post or comment, proper links will be made from URLs,
   even when the pasted text is rich format.
 - Links created from the Format menu are verified to have a proper scheme.
 - Post publisher area can grow bigger.
 - Configurable avatar sizes in comments and minor feeds.
 - Better error handling when timelines fail to load.
 - Added AppData (AppStream) file.
 - Fixed some size issues in comments.
 - Other small fixes and improvements.



v1.3.2  (October 31, 2015)

 - Added a D-Bus interface, to control the program from other programs,
   such as scripts, using tools like qdbus or dbus-send.
 - Option to list the newest users from your own Pump server, located
   under Neighbors, inside the Contacts tab.
 - Welcome wizard, to guide new users.
 - New privacy option: private likes.
   Liking posts or comments will only inform the author.
 - Support for non-https servers, using the --nohttps command line parameter.
 - Hebrew translation, by GreenLunar.
 - Improved localization support, and fixed some issues with RTL languages.
 - JSON-based error messages from the server, which might have Unicode
   symbols, are now shown correctly.
 - Several minor fixes.



v1.3.1  (August 2, 2015)

 - Option to browse posts from a user
   (only for users on the same server, for now).
 - Option to set or change e-mail address for the account.
 - Nick autocompleter now displays user ID, too.
 - Proper links are made from URL's found anywhere, when pasting plain text.
 - Added a Privacy category in the settings, with a couple of new options
   related to following people and managing lists.
 - Button to configure account on status bar when account is not configured.
 - Option to scroll main timeline to the new stuff line on update.
 - Enhanced timeline page selector.
 - Progress bar during program startup.
 - Option to start application hidden in the system tray.
 - Command line option to change the color of links: --linkcolor=color
   (useful in GTK environments).
 - Other minor fixes.



v1.3.0  (May 1, 2015)

 - Enhanced timeline updates and pagination.
   Timeline updates are much faster now, require less network traffic, and
   don't mark previous posts as read every time a feed is updated.
 - Nickname autocompletion in post/comment composers.
   Type '@' to get a list of names, then type the first characters.
   When creating a note, this will add that contact to the "To" list.
   In comments it will just be a simple link.
 - Posts opened from the "+" button in the Meanwhile feed will be able to load
   comments correctly much more often.
 - Added a button to cancel an attachment in the publisher.
 - The Favorites timeline will be scheduled for update when liking or unliking
   things, so liking several posts in a few minutes will only reload it once.
 - Option to hide duplicated posts, that is, posts which were already visible
   in the timeline and have been received again due to sharing.
 - Added setting to automatically set an initial post title from the file name
   of an attachment.
 - Option to choose the size of avatars for posts.
 - Comment area in posts will use the space more efficiently.
 - Option to make shared posts more obvious, with sharer's avatar.
 - Option to highlight comments made by the author of a post, and your
   own comments, with a subtle hint.
 - Optional character counter in the publisher.
 - Other new options in the settings dialog. Some were rearranged.
 - The Account dialog will be locked when Dianara is already authorized to use
   your account.
 - Some highlighting colors are now enabled by default.
 - Time of last timeline update will be shown on the menu bar.
 - Attached images which fail to load (usually due to permissions) will show
   a clear message.
 - A demo notification will be shown when setting the notification style.
 - Command line option to ignore SSL errors. Use with care!
 - Command line options now have short form alternatives like -c or -d.
 - Fixed handling system shutdown; properly close at environment's request.
 - Fixed loading of remote images when the URL has parameters, and when the
   URL doesn't have a schema.
 - Fixed issues with initial width of comments.
 - Fixed handling cases when the tray icon is not available.
 - Fixed Ctrl+Shift+V, to paste without format, in comments.
 - Fixed flickering effect on some timestamps.
 - Other small fixes.



v1.2.5  (December 16, 2014)

 - Mentions and Actions feeds. Access them via keyboard with Control+1/2/3.
   (Keyboard shortcut to reload Meanwhile feed has been changed to F2)
 - Made some of the labels expandable; they will show extra information when
   clicked.
 - Offer to insert links to image files as embedded images, when pasting.
 - Very long post titles will be cut when posting.
 - Shared posts now show sharer's information in a wide line at the top.
 - Show warning when posting only to Followers, but having none.
 - Added new configuration categories, and rearranged some options.
 - Added option to show post client information directly.
 - Option to insert basic tables in messages.
 - Avatar menus now sync their Follow/Unfollow option based on global contact
   list changes.
 - Added more fallback icons.
 - Added Control+Enter shortcut for the "Done" button when selecting specific
   recipients for a message.
 - Enhancements in the experimental group support.
 - Added a few changes to support GNU Mediagoblin's upcoming Pump.io API.
   You'll be able to use Dianara to post to Mediagoblin sites once its 0.8.0
   version is out.
 - Added links to the Pump.io User Guide.
   (https://github.com/e14n/pump.io/wiki/User-Guide)
 - Fixed #4: some memory leaks, thanks to a patch by Gregor Herrmann.
 - Fixed wrong order in list of likes in posts.
 - Fixed extra spaces inserted when creating links in the middle of some
   existing text.
 - Other small fixes.



v1.2.4  (October 20, 2014)

 - Optional snippets in the Meanwhile feed, with configurable character limit.
 - Clicking the button that shows the page number at the bottom of a timeline
   (or pressing Control+G) will open a window to jump to any page.
 - Menu option to enable/disable timeline auto-updating.
 - New status bar icon indicates initialization stage and state of auto-updates.
   Clicking it will also toggle the state of auto-updates.
 - Tray icon shows how many of the new messages are also highlighted.
 - Names of recipients are shown as links in the Publisher, so hovering over
   them will show their addresses in the status bar.
 - More logging, specifically during initial client registration and
   the authorization token process.
 - Settings dialog switched from tabs to stacked view, to have more categories
   in the future.
 - Added a TRANSLATING file, with instructions for new translators.
 - Fixed quoting texts containing "<" and ">".
 - Fixed long shutdown time.
 - Lots of other small visual changes and fixes.



v1.2.3  (September 6, 2014)

 - Configurable fonts.
 - Ability to open the parent post for posts in the timelines, if they were
   replies to something, such as a shared comment appearing in the timeline.
 - Option to send a message to a contact directly from the avatar menu
   and from the contact list.
 - Show your user ID in popup notifications. Useful if you run more than one
   instance of Dianara for different accounts.
 - Show total number of items in timelines, in the tooltips of their tabs,
   and the total number of pages with the current page number, at the bottom.
 - Show how many Meanwhile items are highlighted, among those that are new.
 - Some settings in Configure dialog have been rearranged.
 - Filter comparison for "Activity description" removes links from it,
   allowing for simpler rules.
 - More details about post location, in the tooltip of the location name.
 - Fixed Meanwhile feed growing very wide sometimes.
 - Fixed Edit button not working on posts opened in separate window.
 - Other bug fixes and minor changes.



v1.2.2  (July 31, 2014)

 - Proxy configuration support. Password is not stored securely, so you can
   leave it empty and be prompted for it on startup, if you wish.
 - Animated images are now animated when viewed in the separate image viewer.
 - Filters are now case insensitive, ie. "openfarmgame" matches "OpenFarmGame".
 - Added a delay before reloading all comments after posting a reply.
 - Enhanced initialization, so Dianara will keep on trying to get all initial
   data (your profile, etc) if it fails initially.
 - Basic Help window.
 - Configurable "unread post" color.
 - Show To/CC info in the timestamp tooltip of minor feed activities.
 - The Normalize Text Colors option in posts works in most cases now.
 - Link color is no longer specified, so other contacts will see links
   in the color configured by them.
 - New way to show attachments, including attached images.
 - Better filename suggestions when saving attachments.
 - Option to create bullet lists in the Format menu.
 - More symbols in the Format > Symbols menu.
 - Ask for confirmation when quitting Dianara if a post is being composed.
 - Pressing Enter in title field jumps to message body. Likewise, pressing
   the Up Arrow at the start of the message jumps to the title field.
 - Better notification of authentication-related errors.
 - Added some more fallback icons, for environments without (good) iconsets.
 - Updated Italian translation, by Metal Biker.
 - Partial updates to Polish translation by Derping Muffins and CyberKiller,
   and German translation by Emvigo.
 - Other small fixes.



v1.2.1  (May 22, 2014)

 - Upload of other media types (audio, video, misc files).
   Keep in mind that most people won't be able to see these at the moment!
   (Related Pump.io issue: https://github.com/e14n/pump.io/issues/1014)
 - Nicer download of media attachments.
 - New --config parameter, to use a different configuration on startup.
   Using this, you can run 2 or 3 instances of Dianara for different accounts.
 - System tray icon can be configured to show your avatar, or a custom image.
 - Added an optional toolbar.
 - Added some widgets to the status bar.
 - Avatar button gets highlighted when hovering, to make it more obvious.
 - New messages are highlighted with a gradient on the right side.
 - Added partial German translation, by Emvigo.
 - Some minor fixes.



v1.2.0  (April 16, 2014)

 - Comments can be edited.
 - Ability to search the contact list by partial name or address.
 - Filters have been extended to be used in the timelines too, and can also
   be set to *highlight* posts, in addition to hiding them.
 - Fixed very wide comments.
 - Nicer avatars-buttons with options are used everywhere now.
 - Meanwhile items such as "someone followed someone else", also have an
   avatar-button for that person, with the usual options.
 - 'Meanwhile' item highlighting uses different, customizable colors. These
   are also used in the Timeline posts, where appropriate.
 - Configurable notifications.
 - More information in Meanwhile tooltips.
 - Fuzzy timestamps, like "3 minutes ago" are updated every minute.
 - Log window.
 - Post of type 'audio', 'video' and 'file' are shown in a basic manner.
   Video/Audio upload mostly works but has been disabled for this release.
 - More keyboard control for timelines (Ctrl+Up/Down/PgUp/PgDown/Home/End).
 - Quoting partial comments (selected text) now works, though it has issues.
 - Info about a hovered URL in posts and comments is now shown in the status bar.
 - New contacts are added to the lists without the need to fully reload them
   after following or unfollowing someone.
 - Several enhancements in the Image Viewer.
 - Added some fallback icons, to be used when the system iconset doesn't have
   an appropriate icon.
 - Disable some menus and widgets until Dianara is authorized to use an account.
 - New libmagic dependency.
 - Lots of other fixes and improvements.



v1.1  (January 11, 2014)

 - The Meanwhile feed now highlights activities related to you.
   There is a counter for new activities, which are also darker until clicked.
 - Button to open related posts from the Meanwhile feed.
   (Has issues, see pump.io issue https://github.com/e14n/pump.io/issues/873)
 - Ability to manage members of person lists.
 - Filters to block activities in the Meanwhile feed containing certain words,
   from certain users, or from certain applications (like OFG).
 - Button to get more (older) items in the Meanwhile feed.
 - The contact list gets all contacts now (previously limited to 200).
 - Own posts are no longer counted as new.
 - Some keyboard shortcuts have been hardcoded, so they should work under
   bare WMs, like OpenBox. Some new shortcuts have been added.
 - Better publisher layout. The option to select different publisher layouts
   has been removed.
 - Moved "Formatting" button out of the composer.
 - Different posts-per-page configurations for the main timeline and the rest.
 - Option to mark everything as read.
 - Show post's location, if there is one.
 - Account configuration will show automatically on the first run of the program.
 - The interface should be more responsive now while updating timelines.
 - Option to normalize post text colors temporarily.
 - Some data is stored differently now, so a few things will reset on first use.
 - Lots of other small fixes and enhancements.



v1.0  (October 29, 2013)

 - Post editing.
 - Ability to create person lists, delete them, and post to specific lists.
 - Better posts resizing (no more splitters).
 - Optimize image sizes inside posts and comments.
 - Avatar upload in profile editor.
 - Author's avatar in posts is a button with several options.
 - Show if a post has been updated, and when.
 - Show "To" and "CC" recipients in posts as links.
 - Option to paste without formatting (as plain text).
 - Make proper links automatically when pasting a link-like text.
 - Option to quote comments.
   Selecting text in a post before clicking "Comment" also quotes it.
 - Regular notes can have titles.
 - Account wizard polishing.
 - Italian translation, by Metal Biker.
 - Some more text formatting options. Selecting "Normal" now clears colors, too.
 - Full screen option.
 - Partially fixed the ever-increasing memory usage issue.
 - Minor bugfixes and improvements.



v0.9  (August 5, 2013)

 - Image uploads with title and description.
 - Comment liking and unliking.
 - Ability to delete your own comments.
 - Show unread messages count in tray icon.
 - Contacts exporting.
 - New posts are marked as unread until clicked or timeline is updated again.
 - Don't clear and hide publisher or commenter until posting is confirmed, so
   you don't lose your post in case of network/server error.
 - Load images in comments.
 - Clearly show if "Public" or "Followers" is currently selected when posting.
 - Added a "Symbols" submenu under the "Formatting" menu in the composer.
 - Improved "Minor Feed".
 - Improved "Picture mode" in Publisher.
 - Lowered QJSON requirement to 0.7.x.
 - Lots of other minor bugfixes.



v0.8  (July 8, 2013)

 - Ability to select people in the "To/CC" fields when posting.
 - Option to set "Public" posting as default.
 - Better text formatting options.
 - Re-enabled HTML formatting when posting comments.
 - Profile editor.
 - Nicer and more informative "Meanwhile" column (tooltips!).
 - Basic "person lists" support.
 - Ability to save images from the image viewer (contextual menu).
 - Status bar can be hidden.
 - Reload each timeline when appropriate.
 - Better organization of internal configuration file. This will cause
   some options to be reset when upgrading from previous versions.
 - New icon.
 - Some bugfixes and minor improvements.



v0.7  (June 16, 2013)

 - Messages tab, showing posts specifically directed to you.
 - Activity tab, listing your own posts.
 - Favorites tab, listing the posts you've liked.
 - Show recipients of a post, the "To" and "CC" fields.
 - New options in formatting menu in the publisher:
   "preformatted block" and "insert image from web site".
 - Minor feed, a.k.a. "the meanwhile column".
 - Show "inserted images", in addition to the image in Picture-type posts.
 - Timeline reloads after posting.
 - Comments and likes are reloaded when commenting on or liking a post.
 - Better information on shared posts, showing the original author
   and who shared the post with you.
 - Autorefresh will not interrupt while commenting.
 - Show where links go when hovering over them.
 - Confirmation when canceling a message if there's content in it.
 - Accept also https://server/username type of ID when entering an
   address to follow, in the contact list.
 - Ignore SSL errors, for now.
 - More tooltips everywhere!
 - Slightly better tray icon control.
 - Complete Catalan and Spanish translations.
 - Several other small fixes and optimizations.



v0.6  (June 6, 2013)

 - Ability to show all comments.
 - Show if you've liked a post, and ability to unlike it.
 - Show list of people who liked a post, in tooltip.
 - Full contact list: 'following' and 'followers'.
 - Image uploads.
 - Ability to select if a post goes to Public, Followers or both.
 - Clicking on posted images shows them in an internal viewer.
 - Link to open a post in the web browser.
 - Don't interrupt the user with timeline autoupdates
   if the timeline has been manually updated or browsed.
 - Other bugfixes and minor cleanups.



v0.5  (May 30, 2013)

 - Ability to like posts.
 - Show comments (only last 4).
 - Ability to post comments.
 - Ability to reshare posts.
 - Ability to delete posts.
 - Ability to follow people, by entering their address, and stop following.
 - Each user's avatar and name have their profile in the tooltip (on mouse-over).
 - Posts timestamp shows precise time and application used, in the tooltip.
 - Ability to go back and forward in the timeline.
 - Number of posts per page can be configured.
 - Main window's left and right panels can be resized.
 - Left panel can be hidden.
 - Status bar shows time of events (timeline updated, etc).
 - Popup notifications when receiving new posts on timeline update.
 - Several fixes and tooltips added.



v0.4 - First Pump.io release (May 23, 2013)

 - Initial transformation into a pump.io client.
 - Basic Dynamic Client Registration.
 - Initial OAuth-based authentication support.
 - Loading of user's own profile (avatar + real name).
 - Loading of newest 20 posts in timeline.
 - Text posting capabilities.
 - Partial contact listing.



v0.3

 - Aspect list items are links.
 - Posts now show uploaded photos too.
 - Limit maximum image size.
 - Posts are resizable now.
 - Plain links (just http://something, without markdown codes) are linkified too.
 - Thumbnails for embedded content (like Youtube videos) in posts.
 - #NSFW posts are hidden until clicked.
 - Fixes for Qt 5 compatibility.



v0.2 - Frankenstein release.

 - Posting messages is possible, but *only* in pods using Pistos fork
   (which, in turn, don't support loading the timeline).
 - Aspect list is received (again, only in Pistos-based pods, for now).
 - Contact list is received (also for Pistos-based pods).
 - Publisher has a tool menu to add bold, italic, links, etc with Markdown.
 - Posts now show fuzzy time, like "about 3 hours ago", and Markdown-inserted images.
 - Initial "Messages" structure.



v0.1 - Initial basic release.

 - Basic GUI structure in place.
 - System Tray icon.
 - FreeDesktop.org notifications.
 - Some configuration options.
 - Fetch your last 15 public posts, show basic info.
 - Partial Markdown support: bold, italic, headers, links.
